%define upstream_name Cookie-Baker
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cookie string generator / parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Cookie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Time)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Cookie::Baker provides simple cookie string generator and parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1024405
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 968216
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 851587
- update to 0.06

* Sun Jun 21 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 838390
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 751243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 684024
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 0.30.0-1.mga5
+ Revision: 597839
- update to 0.03

* Thu Feb 06 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 584593
- update to 0.02

* Tue Oct 22 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 542263
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 497161
- imported package perl-Cookie-Baker

